Timovi
GET https://tistos.com/api/teams/
curl --request GET \
--url 'https://tistos.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Detalji | Opis |
|---|---|---|
| search | Opcionalno Niz znakova | Pretraživački niz. |
| search_by | Opcionalno Niz znakova | Koje polje pretražujete? Dozvoljene vrijednosti su: name. |
| datetime_field | Opcionalno Niz znakova | Dozvoljene vrijednosti: datetime, last_datetime |
| datetime_start | Opcionalno Niz znakova | Filtrirajte rezultate počevši od ovog datuma i vremena. Format Y-m-d H:i:s. |
| datetime_end | Opcionalno Niz znakova | Filtrirajte rezultate do ovog datuma i vremena. Format Y-m-d H:i:s. |
| order_by | Opcionalno Niz znakova | Koje polje da se rezultati sortiraju. Dozvoljene vrijednosti su: team_id, datetime, last_datetime, name. |
| order_type | Opcionalno Niz znakova | Redoslijed rezultata. Dozvoljene vrijednosti su: ASC za uzlazno sortiranje, i DESC za silazno sortiranje. |
| page | Opcionalno Cijeli broj | Broj stranice za koju želite rezultate. Podrazumijeva se 1. |
| results_per_page | Opcionalno Cijeli broj | Koliko rezultata želite po stranici. Dozvoljene vrijednosti su: 10, 25, 50, 100, 250, 500, 1000. Zadano je 25. |
{
"data": [
{
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "[email protected]",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-07-18 13:51:24",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-07-18 13:51:24",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/teams?page=1",
"last": "https://tistos.com/api/teams?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/teams?page=1"
}
}
GET https://tistos.com/api/teams/{team_id}
curl --request GET \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "[email protected]",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-07-18 13:51:24",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-07-18 13:51:24",
}
}
POST https://tistos.com/api/teams
| Parametri | Detalji | Opis |
|---|---|---|
| name | Obavezno Niz znakova | - |
curl --request POST \
--url 'https://tistos.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
--url 'https://tistos.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/teams/{team_id}
| Parametri | Detalji | Opis |
|---|---|---|
| name | Opcionalno Niz znakova | - |
curl --request POST \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/teams/{team_id}
curl --request DELETE \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \